<ion-content>
<div *ngIf="product" class="product-detail">
    <div class="container header" >
      <img src="assets/icon/arrow.svg" (click)="arrowBack()">
      <h1 class="item">{{product.name}}</h1>
      <hr>
    </div>
    <div class="container color-bg" *ngIf="product">
      <p class="big-text">{{product.description}}</p>
    </div>

  <div class="container photo-section lg-space">
    <div class="flex-scroll">
      <img *ngFor="let photo of product.photos" src="{{photo.data}}" alt="photo" class=" scroll-item img">
      
    </div>
  </div>


    <div class="container prod-detail flex">
      <hr class="sm-space">
      <div class="container-flex">
        <div class="item"><p class="small-text">Le {{product.unity}}</p></div>
        <div class="item"><p class="small-text align-right">{{product.price}} CHF</p></div>
      </div>
      <div class="container-flex">
        <div class="item"><p class="small-text">Quantité</p></div>
        <div class="item">
          <div class="plusmoins flex">
              <div class="container-flex">
                <div class="item" (click)="decrement()"><img src="assets/icon/less.svg"></div>
                <div class="item centered">

                    <ion-input [(ngModel)]="currentQuantity" name="quantity"  placeholder="1"  class="myinput"></ion-input>

                </div>
                <div class="item" (click)="increment()"><img src="assets/icon/plus.svg"></div>
              </div>
          </div>
        </div>
      </div>
      <hr class="md-space">
      <div class="container-flex">
        <div class="item"><h3>Total :</h3></div>
        <div class="item"><h3 class="align-right">{{product.price * currentQuantity}} CHF</h3></div>
      </div>
      <hr>
    </div>
    <ion-button (click)="presentToast()" type="submit" class="agri-btn right-btn md-space">Ajouter au panier</ion-button>

    <div class="container mg-bottom-sm">
      <a href="/farm-detail">
        <div class="farm-card">
          <a href="#">
            <p class="link">A 13 km - Morges, VD</p>
          </a>
          <div class="border">
            <img src="assets/img/ferme1.jpg" alt="farm pic" class="img">
            <div class="stock-status">
              <div class="label mini-text">Ferme d'élevage de bovins laitiers</div>
            </div>
            <div class="label product-name">La ferme d'Ailleurs</div>
            <div class="container-flex label type-price">
              <div class="item small-text"><strong>58</strong> produits</div>
            </div>
          </div>
        </div>
      </a>
    </div>


    <div class="footer">
      <ion-tabs>
        <ion-tab-bar slot="bottom" position="sticky">
          <a href="/homepage-consommateur" class="menu-link">
            <ion-tab-button>
              <ion-icon name="home" class="tab-inactive"></ion-icon>
              <ion-label>Home</ion-label>
            </ion-tab-button>
          </a>
          <a href="/marketplace-products" class="menu-link">
          <ion-tab-button>
            <ion-icon name="nutrition" class="icon-active"></ion-icon>
            <ion-label class="label-active">Marché</ion-label>
          </ion-tab-button>
          </a>
          <a href="/panier" class="menu-link">
            <ion-tab-button>
              <ion-icon name="cart" class="tab-inactive"></ion-icon>
              <ion-label>Panier</ion-label>
              <ion-badge color="danger">{{card.length}}</ion-badge>
            </ion-tab-button>
          </a>
          <a href="/profil-consommateur" class="menu-link">
            <ion-tab-button >
              <ion-icon name="person" class="tab-inactive"></ion-icon>
              <ion-label>Profil</ion-label>
            </ion-tab-button>
          </a>
        </ion-tab-bar>
      </ion-tabs>
    </div>

  </div>

</ion-content>
